
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.OG;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;namespace APT.MS.Domain.Entities.OG
{
    /// <summary>
    /// 资质等级表
    /// </summary>
    [Description("资质等级表")]
    [DataClassIndex(new string[] { "TYPE", "NAME" }, true)]
    public class T_OG_RELATED_QUALIFICATION_LEVEL : MesEntityBase
    {
        /// <summary>
        /// 资质类型
        /// </summary>
        [Description("资质类型")]
        [EnumName("OGQualificationsType")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public OGQualificationsType TYPE { get; set; }

        /// <summary>
        /// 资质类型
        /// </summary>
        [Description("资质等级名称")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldLength(50)] 
        public string NAME { get; set; }
    }
}
